Ptex

Public Member Functions | Public Attributes | List of all members
PtexMainWriter::MetaEntry Struct Reference

## Public Member Functions
| MetaEntry ()

## Public Attributes
std::string | key
MetaDataType | datatype
std::vector< uint8_t > | data

## Detailed Description

Definition at line 92 of file PtexWriter.h.

## Constructor & Destructor Documentation

## ◆ MetaEntry()

PtexMainWriter::MetaEntry::MetaEntry | ( |  | ) |
| inline

Definition at line 96 of file PtexWriter.h.

References data, and datatype.

## Member Data Documentation

## ◆ data

std::vector<uint8_t> PtexMainWriter::MetaEntry::data

Definition at line 95 of file PtexWriter.h.

Referenced by PtexMainWriter::addMetaData(), PtexMainWriter::addToMetaDataBlock(), PtexMainWriter::finish(), and MetaEntry().

## ◆ datatype

MetaDataType PtexMainWriter::MetaEntry::datatype

Definition at line 94 of file PtexWriter.h.

Referenced by PtexMainWriter::addMetaData(), PtexMainWriter::addToMetaDataBlock(), PtexMainWriter::finish(), and MetaEntry().

## ◆ key

std::string PtexMainWriter::MetaEntry::key

Definition at line 93 of file PtexWriter.h.

Referenced by PtexMainWriter::addMetaData(), PtexMainWriter::addToMetaDataBlock(), and PtexMainWriter::finish().

The documentation for this struct was generated from the following file:

- PtexWriter.h